# react-native-bluetooth-printer

## Getting started

`$ npm install react-native-bluetooth-printer --save`

### Mostly automatic installation

`$ react-native link react-native-bluetooth-printer`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-bluetooth-printer` and add `BluetoothPrinter.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libBluetoothPrinter.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainApplication.java`
  - Add `import com.reactlibrary.BluetoothPrinterPackage;` to the imports at the top of the file
  - Add `new BluetoothPrinterPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-bluetooth-printer'
  	project(':react-native-bluetooth-printer').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-bluetooth-printer/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-bluetooth-printer')
  	```


## Usage
```javascript
import BluetoothPrinter from 'react-native-bluetooth-printer';

// TODO: What to do with the module?
BluetoothPrinter;
```
